#
# spec file for package fwbuilder
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fwbuilder
Version:        5.1.0.3599
Release:        15.19
Summary:        Firewall Builder
License:        GPL-2.0+
Group:          Productivity/Networking/Security
Url:            http://www.fwbuilder.org/
Source:         http://sourceforge.net/projects/fwbuilder/files/Current_Packages/5.1.0/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fwbuilder-gcc47.patch
Patch0:         fwbuilder-gcc47.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt4-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
Requires:       hicolor-icon-theme
Requires:       rcs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  fdupes
Requires(post): update-desktop-files
Requires(postun): update-desktop-files
%endif

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms.

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure \
	--with-docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install
%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} System Security
%fdupes -s %{buildroot}
%endif

%if 0%{?suse_version} > 1310
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}
%{_datadir}/%{name}-%{version}
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/fwb*

%changelog
* Wed Sep  2 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file
- Use macros for updating of desktop files and icons
* Sat Dec  8 2012 joop.boonen@opensuse.org
- Added Requires rcs to enable reversion control
- Cleaned the spec file a bit more
* Wed Apr  4 2012 joop.boonen@opensuse.org
- Build version 5.1.0.3599
- Cleaned the spec file
* Sat Mar 17 2012 dimstar@opensuse.org
- Add fwbuilder-gcc47.patch: Fix build with gcc 4.7.
* Mon Jan 30 2012 cfarrell@suse.com
- license update: GPL-2.0+
* Wed Jan 25 2012 joop.boonen@opensuse.org
- Added automake and libtool as build requirement
- Used fdupes to get rid of duplicate files
- Libfwbuilder doesn't exist anymore for a long time,
  that's why the obsoletes removed
* Sat Jan  7 2012 joop.boonen@opensuse.org
- Build version 5.0.1.3592
* Mon Aug  8 2011 joop.boonen@opensuse.org
- Build version 5.0.0.3568
* Mon May 23 2011 joop.boonen@opensuse.org
- Build version 4.2.2.3541
* Thu Apr 21 2011 joop.boonen@opensuse.org
- Build version 4.2.0.3530
* Tue Jan  4 2011 joop.boonen@opensuse.org
- Build version 4.1.3
* Sat Oct  9 2010 joop.boonen@opensuse.org
- Build version 4.1.2
* Wed Aug 25 2010 joop.boonen@opensuse.org
- Build version 4.1.1
* Tue Jul 20 2010 joop.boonen@opensuse.org
- Build version 4.0.2
* Wed Jun  2 2010 joop.boonen@opensuse.org
- Build version 4.0.1
* Mon Sep 21 2009 joop.boonen@opensuse.org
- Build version 3.0.7
* Fri Sep  4 2009 joop.boonen@opensuse.org
- combined to one fwbuilder package as the orginal rpm is
  also one package. To be on the safe side.
* Thu Sep  3 2009 joop.boonen@opensuse.org  
- some improvements
* Tue Sep  1 2009 chris@computersalat.de
- cleanup spec
- fixed deps
* Mon Aug 31 2009 joop.boonen@opensuse.org
- build release 3.0.6
* Thu Aug 20 2009 chris@computersalat.de
- added AUTHORS to description
* Wed Jun 17 2009 joop.boonen@opensuse.org
- build release 3.0.5
* Wed Apr  8 2009 joop.boonen@opensuse.org
- adapted the spec file so it meets the package convention
  http://en.opensuse.org/SUSE_Package_Conventions/RPM_Style
* Fri Apr  3 2009 bitshuffler #suse@irc.freenode.org
- Cleaned up the spec
* Thu Apr  2 2009 joop.boonen@opensuse.org  
- build release 3.0.4
* Mon Mar 23 2009 joop.boonen@opensuse.org  
- Applied patch requested bij openSuSE contrib approvers
* Thu Mar  5 2009 joop.boonen@opensuse.org  
- Perfecting the spec file first step
* Tue Mar  3 2009 joop.boonen@opensuse.org  
- Using bz2 in stead of gz file
* Wed Dec 17 2008 joop.boonen@opensuse.org  
- build release 3.0.3
* Sun Oct 12 2008 joop.boonen@opensuse.org    
- Started off with the fwbuilder Mandrake spec file
* Sun Oct 12 2008 joop.boonen@opensuse.org    
- Initial version by Vadim Kurland <vadim@fwbuilder.org>
